// java wrapper for vtkStringToNumeric object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStringToNumeric.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataObjectAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStringToNumeric_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStringToNumeric",dType)) { return me; }
  if ((res= vtkDataObjectAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStringToNumeric_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkStringToNumeric *op;
  const char    *temp20;

  op = (vtkStringToNumeric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStringToNumeric_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStringToNumeric *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStringToNumeric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringToNumeric_SetConvertFieldData_12(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkStringToNumeric *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkStringToNumeric *)vtkJavaGetPointerFromObject(env,obj);
  op->SetConvertFieldData(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkStringToNumeric_GetConvertFieldData_13(JNIEnv *env, jobject obj)
{
  vtkStringToNumeric *op;
  bool   temp20;

  op = (vtkStringToNumeric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetConvertFieldData();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringToNumeric_ConvertFieldDataOn_14(JNIEnv *env, jobject obj)
{
  vtkStringToNumeric *op;

  op = (vtkStringToNumeric *)vtkJavaGetPointerFromObject(env,obj);
  op->ConvertFieldDataOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringToNumeric_ConvertFieldDataOff_15(JNIEnv *env, jobject obj)
{
  vtkStringToNumeric *op;

  op = (vtkStringToNumeric *)vtkJavaGetPointerFromObject(env,obj);
  op->ConvertFieldDataOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringToNumeric_SetConvertPointData_16(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkStringToNumeric *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkStringToNumeric *)vtkJavaGetPointerFromObject(env,obj);
  op->SetConvertPointData(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkStringToNumeric_GetConvertPointData_17(JNIEnv *env, jobject obj)
{
  vtkStringToNumeric *op;
  bool   temp20;

  op = (vtkStringToNumeric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetConvertPointData();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringToNumeric_ConvertPointDataOn_18(JNIEnv *env, jobject obj)
{
  vtkStringToNumeric *op;

  op = (vtkStringToNumeric *)vtkJavaGetPointerFromObject(env,obj);
  op->ConvertPointDataOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringToNumeric_ConvertPointDataOff_19(JNIEnv *env, jobject obj)
{
  vtkStringToNumeric *op;

  op = (vtkStringToNumeric *)vtkJavaGetPointerFromObject(env,obj);
  op->ConvertPointDataOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringToNumeric_SetConvertCellData_110(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkStringToNumeric *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkStringToNumeric *)vtkJavaGetPointerFromObject(env,obj);
  op->SetConvertCellData(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkStringToNumeric_GetConvertCellData_111(JNIEnv *env, jobject obj)
{
  vtkStringToNumeric *op;
  bool   temp20;

  op = (vtkStringToNumeric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetConvertCellData();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringToNumeric_ConvertCellDataOn_112(JNIEnv *env, jobject obj)
{
  vtkStringToNumeric *op;

  op = (vtkStringToNumeric *)vtkJavaGetPointerFromObject(env,obj);
  op->ConvertCellDataOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringToNumeric_ConvertCellDataOff_113(JNIEnv *env, jobject obj)
{
  vtkStringToNumeric *op;

  op = (vtkStringToNumeric *)vtkJavaGetPointerFromObject(env,obj);
  op->ConvertCellDataOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringToNumeric_SetConvertVertexData_114(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkStringToNumeric *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkStringToNumeric *)vtkJavaGetPointerFromObject(env,obj);
  op->SetConvertVertexData(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkStringToNumeric_GetConvertVertexData_115(JNIEnv *env, jobject obj)
{
  vtkStringToNumeric *op;
  bool   temp20;

  op = (vtkStringToNumeric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetConvertVertexData();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringToNumeric_ConvertVertexDataOn_116(JNIEnv *env, jobject obj)
{
  vtkStringToNumeric *op;

  op = (vtkStringToNumeric *)vtkJavaGetPointerFromObject(env,obj);
  op->ConvertVertexDataOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringToNumeric_ConvertVertexDataOff_117(JNIEnv *env, jobject obj)
{
  vtkStringToNumeric *op;

  op = (vtkStringToNumeric *)vtkJavaGetPointerFromObject(env,obj);
  op->ConvertVertexDataOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringToNumeric_SetConvertEdgeData_118(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkStringToNumeric *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkStringToNumeric *)vtkJavaGetPointerFromObject(env,obj);
  op->SetConvertEdgeData(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkStringToNumeric_GetConvertEdgeData_119(JNIEnv *env, jobject obj)
{
  vtkStringToNumeric *op;
  bool   temp20;

  op = (vtkStringToNumeric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetConvertEdgeData();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringToNumeric_ConvertEdgeDataOn_120(JNIEnv *env, jobject obj)
{
  vtkStringToNumeric *op;

  op = (vtkStringToNumeric *)vtkJavaGetPointerFromObject(env,obj);
  op->ConvertEdgeDataOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringToNumeric_ConvertEdgeDataOff_121(JNIEnv *env, jobject obj)
{
  vtkStringToNumeric *op;

  op = (vtkStringToNumeric *)vtkJavaGetPointerFromObject(env,obj);
  op->ConvertEdgeDataOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringToNumeric_SetConvertRowData_122(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkStringToNumeric *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkStringToNumeric *)vtkJavaGetPointerFromObject(env,obj);
  op->SetConvertRowData(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkStringToNumeric_GetConvertRowData_123(JNIEnv *env, jobject obj)
{
  vtkStringToNumeric *op;
  bool   temp20;

  op = (vtkStringToNumeric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetConvertRowData();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringToNumeric_ConvertRowDataOn_124(JNIEnv *env, jobject obj)
{
  vtkStringToNumeric *op;

  op = (vtkStringToNumeric *)vtkJavaGetPointerFromObject(env,obj);
  op->ConvertRowDataOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringToNumeric_ConvertRowDataOff_125(JNIEnv *env, jobject obj)
{
  vtkStringToNumeric *op;

  op = (vtkStringToNumeric *)vtkJavaGetPointerFromObject(env,obj);
  op->ConvertRowDataOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkStringToNumeric_VTKInit(JNIEnv *, jobject)
{
  vtkStringToNumeric *aNewOne = vtkStringToNumeric::New();
  return (jlong)(size_t)(void*)aNewOne;
}
