// java wrapper for vtkControlPointsItem object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkControlPointsItem.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPlot_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkControlPointsItem_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkControlPointsItem",dType)) { return me; }
  if ((res= vtkPlot_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkControlPointsItem_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkControlPointsItem *op;
  const char    *temp20;

  op = (vtkControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkControlPointsItem_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkControlPointsItem *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkControlPointsItem_GetBounds_12(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkControlPointsItem *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkControlPointsItem_SetUserBounds_13(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkControlPointsItem *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUserBounds(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkControlPointsItem_SetUserBounds_14(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkControlPointsItem *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUserBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkControlPointsItem_GetUserBounds_15(JNIEnv *env, jobject obj)
{
  vtkControlPointsItem *op;
  double  *temp20;

  op = (vtkControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUserBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,4);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkControlPointsItem_Paint_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkControlPointsItem *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Paint(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkControlPointsItem_SelectPoint_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkControlPointsItem *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SelectPoint(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkControlPointsItem_SelectAllPoints_18(JNIEnv *env, jobject obj)
{
  vtkControlPointsItem *op;

  op = (vtkControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SelectAllPoints();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkControlPointsItem_DeselectPoint_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkControlPointsItem *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  op->DeselectPoint(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkControlPointsItem_DeselectAllPoints_110(JNIEnv *env, jobject obj)
{
  vtkControlPointsItem *op;

  op = (vtkControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  op->DeselectAllPoints();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkControlPointsItem_ToggleSelectPoint_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkControlPointsItem *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  op->ToggleSelectPoint(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkControlPointsItem_GetStrokeMode_112(JNIEnv *env, jobject obj)
{
  vtkControlPointsItem *op;
  bool   temp20;

  op = (vtkControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStrokeMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkControlPointsItem_SetSwitchPointsMode_113(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkControlPointsItem *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSwitchPointsMode(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkControlPointsItem_GetSwitchPointsMode_114(JNIEnv *env, jobject obj)
{
  vtkControlPointsItem *op;
  bool   temp20;

  op = (vtkControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSwitchPointsMode();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkControlPointsItem_GetNumberOfPoints_115(JNIEnv *env, jobject obj)
{
  vtkControlPointsItem *op;
  int      temp20;

  op = (vtkControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkControlPointsItem_GetCurrentPoint_116(JNIEnv *env, jobject obj)
{
  vtkControlPointsItem *op;
  vtkIdType   temp20;

  op = (vtkControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentPoint();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkControlPointsItem_SetCurrentPoint_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkControlPointsItem *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCurrentPoint(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkControlPointsItem_ResetBounds_118(JNIEnv *env, jobject obj)
{
  vtkControlPointsItem *op;

  op = (vtkControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  op->ResetBounds();
}
